Loading...
Searching...
No Matches
decode_filter_audio.c File Reference
`#include <unistd.h>`
`#include <libavcodec/avcodec.h>`
`#include <libavformat/avformat.h>`
`#include <libavfilter/buffersink.h>`
`#include <libavfilter/buffersrc.h>`
`#include <libavutil/channel_layout.h>`
`#include <libavutil/mem.h>`
`#include <libavutil/opt.h>`

Go to the source code of this file.

## Functions

static int | open_input_file (const char *filename)
static int | init_filters (const char *filters_descr)
static void | print_frame (const AVFrame *frame)
int | main (int argc, char **argv)

## Variables

static const char * | filter_descr = "aresample=8000,aformat=sample_fmts=s16:channel_layouts=mono"
static const char * | player = "ffplay -f s16le -ar 8000 -ac 1 -"
static AVFormatContext * | fmt_ctx
static AVCodecContext * | dec_ctx
AVFilterContext * | buffersink_ctx
AVFilterContext * | buffersrc_ctx
AVFilterGraph * | filter_graph
static int | audio_stream_index = -1

## Function Documentation

## open_input_file()

static int open_input_file | ( | const char * | filename | ) |

static

Examples
  decode_filter_audio.c, decode_filter_video.c, qsv_transcode.c, transcode.c, transcode_aac.c, and vaapi_transcode.c.

Definition at line 53 of file decode_filter_audio.c.

Referenced by main().

## init_filters()

static int init_filters | ( | const char * | filters_descr | ) |

static

Definition at line 91 of file decode_filter_audio.c.

## print_frame()

static void print_frame | ( | const AVFrame * | frame | ) |

static

Examples
  decode_filter_audio.c.

Definition at line 204 of file decode_filter_audio.c.

Referenced by main().

## main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 218 of file decode_filter_audio.c.

## Variable Documentation

## filter_descr

const char* filter_descr = "aresample=8000,aformat=sample_fmts=s16:channel_layouts=mono"

static

Examples
  decode_filter_audio.c, and decode_filter_video.c.

Definition at line 43 of file decode_filter_audio.c.

Referenced by main().

## player

const char* player = "ffplay -f s16le -ar 8000 -ac 1 -"

static

Examples
  decode_filter_audio.c.

Definition at line 44 of file decode_filter_audio.c.

Referenced by main().

## fmt_ctx

AVFormatContext* fmt_ctx

static

Examples
  avio_read_callback.c, decode_filter_audio.c, decode_filter_video.c, demux_decode.c, extract_mvs.c, mux.c, remux.c, and show_metadata.c.

Definition at line 46 of file decode_filter_audio.c.

Referenced by init_filters(), init_filters(), log_packet(), log_packet(), main(), main(), open_codec_context(), open_codec_context(), open_input_file(), open_input_file(), and write_frame().

## dec_ctx

AVCodecContext* dec_ctx

static

Examples
  decode_audio.c, decode_filter_audio.c, decode_filter_video.c, decode_video.c, demux_decode.c, extract_mvs.c, and transcode.c.

Definition at line 47 of file decode_filter_audio.c.

Referenced by decode(), decode(), init_filter(), init_filters(), init_filters(), init_filters(), main(), open_codec_context(), open_codec_context(), open_input_file(), open_input_file(), and open_output_file().

## buffersink_ctx

AVFilterContext* buffersink_ctx

Examples
  decode_filter_audio.c, decode_filter_video.c, and transcode.c.

Definition at line 48 of file decode_filter_audio.c.

Referenced by init_filter(), init_filters(), init_filters(), and main().

## buffersrc_ctx

AVFilterContext* buffersrc_ctx

Examples
  decode_filter_audio.c, decode_filter_video.c, and transcode.c.

Definition at line 49 of file decode_filter_audio.c.

Referenced by init_filter(), init_filters(), init_filters(), and main().

## filter_graph

AVFilterGraph* filter_graph

Examples
  decode_filter_audio.c, decode_filter_video.c, filter_audio.c, and transcode.c.

Definition at line 50 of file decode_filter_audio.c.

Referenced by init_filter(), init_filter_graph(), init_filters(), init_filters(), and main().

## audio_stream_index

int audio_stream_index = -1

static

Examples
  decode_filter_audio.c.

Definition at line 51 of file decode_filter_audio.c.

Referenced by init_filters(), main(), and open_input_file().